# XmScale

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmScale - Motif-compatible scale widget

## SYNOPSIS

#include <Xm/Scale.h>

XmScale

XmCreateScale

## DESCRIPTION

XmScale

## X RESOURCES

Name | Class | Type | Default | Access
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNvalue | XmCValue | Int | 2147483647 | CSG
XmNmaximum | XmCMaximum | Int | 100 | CSG
XmNminimum | XmCMinimum | Int | 0 | CSG
XmNorientation | XmCOrientation | Orientation | NULL | CSG
XmNprocessingDirection | XmCProcessingDirection | ProcessingDirection | NULL | CSG
XmNtitleString | XmCTitleString | XmString | NULL | CSG
XmNfontList | XmCFontList | FontList | NULL | CSG
XmNshowValue | XmCShowValue | Boolean | NULL | CSG
XmNdecimalPoints | XmCDecimalPoints | Short | NULL | CSG
XmNscaleWidth | XmCScaleWidth | HorizontalDimension | NULL | CSG
XmNscaleHeight | XmCScaleHeight | VerticalDimension | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG
XmNhighlightOnEnter | XmCHighlightOnEnter | Boolean | NULL | CSG
XmNvalueChangedCallback | XmCCallback | Callback | NULL | CSG
XmNdragCallback | XmCCallback | Callback | NULL | CSG
XmNscaleMultiple | XmCScaleMultiple | Int | 0 | CSG

XmNshadowThickness

XmNvalue

XmNmaximum

XmNminimum

XmNorientation

XmNprocessingDirection

XmNtitleString

XmNfontList

XmNshowValue

XmNdecimalPoints

XmNscaleWidth

XmNscaleHeight

XmNhighlightThickness

XmNhighlightOnEnter

XmNvalueChangedCallback

XmNdragCallback

XmNscaleMultiple

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Constraint(3) XmManager(3) XmScale(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.